---
layout: markdown_page
title: "Group Direction - Composition Analysis"
description: "GitLab's goal is to provide Software Composition Analysis as part of the standard development process. Learn more!"
canonical_path: "/direction/secure/composition-analysis/"
---

- TOC
{:toc}

## Composition Analysis

| | |
| --- | --- |
| Stage | [Secure](/direction/secure/) |
| Content Last Reviewed | `2023-07-10` |
| Content Last Updated  | `2023-07-10` |

## Overview

Composition Analysis is a group in the Secure stage.  There are two categories in the group and details on the direction can be viewed on the following individual category pages:

1. [Software Composition Analysis](https://about.gitlab.com/direction/secure/composition-analysis/software-composition-analysis/)
1. [Container Scanning](https://about.gitlab.com/direction/secure/composition-analysis/container-scanning/)



## Priorities

| Priority | Name | BE DRI | FE DRI | Size | Target release |
| ------ | ------ | ------ | ------ | ------ | ------ |
<% data.product_priorities.composition_analysis.priorities.each.with_index do |priority, index| %>
| <%= index + 1 %> | [<%= priority.name %>](<%= priority.url %>) | `<%= priority.be_dri.presence || "TBD" %>` | `<%= priority.fe_dri || "TBD" %>` | `<%= priority.estimated_size.presence || "TBD" %>` | `<%= priority.target_release.presence || "TBD" %>`  |
<% end %>

*This page may contain information related to upcoming products, features and functionality.

It is important to note that the information presented is for informational purposes only, so please do not rely on the information for purchasing or planning purposes.

Just like with all projects, the items mentioned on the page are subject to change or delay, and the development, release, and timing of any products, features, or functionality remain at the sole discretion of GitLab Inc.*
